<?php

namespace App\Libraries\MySocket;

use App\Libraries\CommonLibrary;

abstract class MySocket extends CommonLibrary
{
    private $_host = null;
    protected function __construct(string $host)
    {
        parent::__construct();
        $this->_host = $host;
    }
    abstract public function getClient();
    final public function getHost(): string
    {
        return $this->_host;
    }
}
